Bug 1263974 - Second [heap] mapping is shown as "anonymous" (no pathname field) with PIE binary [NEEDINFO]
Second [heap] mapping is shown as "anonymous" (no pathname field) with PIE bi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
i386 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 04:41 EDT by Pavel Raiskup
Modified: 2017-04-28 13:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:23:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
Reproducer (1.03 KB, application/x-gzip)
2015-10-21 00:19 EDT, Pavel Raiskup
no flags Details

  None (edit)
Description Pavel Raiskup 2015-09-17 04:41:19 EDT
Tested on i386 with simple program doing shm_open()/mmap() and malloc() with
smaller chunks than M_MMAP_THRESHOLD, by
'MALLOC_MMAP_THRESHOLD_=524288 ./program'.  I've got something like:

$ cat /proc/$PROCPID/maps
...
728e6000-738e6000 rw-p 00000000 00:00 0 
738e6000-79ce6000 rw-s 00000000 00:13 93153      /dev/shm/testing-shm-mapping-9
79ce6000-800e6000 rw-s 00000000 00:13 93152      /dev/shm/testing-shm-mapping-8
800e6000-800e7000 r-xp 00000000 fd:01 50501118   /home/praiskup/shmget/program
800e7000-800e8000 r--p 00000000 fd:01 50501118   /home/praiskup/shmget/program
800e8000-800e9000 rw-p 00001000 fd:01 50501118   /home/praiskup/shmget/program
800f2000-854f3000 rw-p 00000000 00:00 0          [heap]
85543000-8b943000 rw-s 00000000 00:13 93150      /dev/shm/testing-shm-mapping-7
8b943000-91d43000 rw-s 00000000 00:13 93149      /dev/shm/testing-shm-mapping-6
91d43000-98143000 rw-s 00000000 00:13 93147      /dev/shm/testing-shm-mapping-5
98143000-9e543000 rw-s 00000000 00:13 93146      /dev/shm/testing-shm-mapping-4
9e543000-a4943000 rw-s 00000000 00:13 93145      /dev/shm/testing-shm-mapping-3
a4943000-aad43000 rw-s 00000000 00:13 93142      /dev/shm/testing-shm-mapping-2
aad43000-b1143000 rw-s 00000000 00:13 93140      /dev/shm/testing-shm-mapping-1
b1143000-b7543000 rw-s 00000000 00:13 93139      /dev/shm/testing-shm-mapping-0
b7543000-b7545000 rw-p 00000000 00:00 0 
b7545000-b755d000 r-xp 00000000 fd:01 51660062   /usr/lib/libpthread-2.21.so
b755d000-b755f000 r--p 00017000 fd:01 51660062   /usr/lib/libpthread-2.21.so
...

Note that the first map '728e6000-738e6000' is getting bigger with more
malloc() requests.  But it is not marked as [heap] the same way it is done for
'800f2000-854f3000' mapping.
Comment 1 Pavel Raiskup 2015-09-17 04:43:06 EDT
This might be not strictly related to PIE or i386, but I haven't done more
testing than that.  The only thing: I'm curious about the missing [heap]
stamp.
Comment 2 Justin M. Forbes 2015-10-20 15:26:58 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 3 Pavel Raiskup 2015-10-21 00:19 EDT
Created attachment 1084963 [details]
Reproducer

I forgot to attach the reproducers, sorry.

Still reproducible on my F23 x86_64 box:
  $ make && MALLOC_MMAP_THRESHOLD_=524288 ./program 15 5000
  using 15 maps and 5000 mallocs
  My PID is 14182
  00048000-08048000 rw-p 00000000 00:00 0
  ^^^ Missing [heap] stamp

  08048000-08049000 r-xp 00000000 fd:02 2280118  /tmp/program
  08049000-0804a000 r--p 00000000 fd:02 2280118  /tmp/program
Comment 4 Laura Abbott 2016-09-23 15:34:50 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Justin M. Forbes 2017-04-11 10:48:20 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 7 Justin M. Forbes 2017-04-28 13:23:12 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.